Subject: Re: bug#43715: 28.0.50; Duplicate results in project-find-regexp

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 01 Oct 2020 03:15:56 +0200

Dmitry Gutov <[email-masked]> writes:

> The behavior is less than ideal, but the fix will have to satisfy
> multiple constraints: the xref item creation (taking care of the
> format being backward-compatible), the rendering of them in the
> buffer, and the 'xref-query-replace-in-results' command, the
> implementation of which relies on the one-line-per-match property of
> an xref buffer.

Right.  I know next to nothing about xref internals...  but...  couldn't
this function just squash the multiple-matches-on-a-single-line into one
line?  Preserving the text props from the multiple lines and whatnot?
So a post-processing step?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no